Util (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.annotations

## Class Util

- java.lang.Object
- - org.eclipse.jetty.annotations.Util

-     public class Util
      extends Object

  Util

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Util()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `asCanonicalName(org.objectweb.asm.Type t)`
    `static Class` | `convertType(org.objectweb.asm.Type t)`
    `static Class[]` | `convertTypes(String params)`
    `static Class[]` | `convertTypes(org.objectweb.asm.Type[] types)`
    `static boolean` | `isEnvEntryType(Class type)`
    `static boolean` | `isEnvEntryType(String desc)`
    `static boolean` | `isServletType(Class c)` Check if the presented method belongs to a class that is one of the classes with which a servlet container should be concerned.
    `static String` | `normalizePattern(String p)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Util

          public Util()

  - ### Method Detail

    - #### isServletType

          public static boolean isServletType(Class c)

      Check if the presented method belongs to a class that is one of the classes with which a servlet container should be concerned.
      Parameters:
        `c` -
      Returns:
        true if class is a type of one of the following: (`Servlet`, `Filter`, `ServletContextListener`, `ServletContextAttributeListener`, `ServletRequestListener`, `ServletRequestAttributeListener`, `HttpSessionListener`, `HttpSessionAttributeListener`)

    - #### isEnvEntryType

          public static boolean isEnvEntryType(Class type)

    - #### isEnvEntryType

          public static boolean isEnvEntryType(String desc)

    - #### normalizePattern

          public static String normalizePattern(String p)

    - #### convertTypes

          public static Class[] convertTypes(String params)
                                      throws Exception

      Throws:
        `Exception`

    - #### convertTypes

          public static Class[] convertTypes(org.objectweb.asm.Type[] types)
                                      throws Exception

      Throws:
        `Exception`

    - #### convertType

          public static Class convertType(org.objectweb.asm.Type t)
                                   throws Exception

      Throws:
        `Exception`

    - #### asCanonicalName

          public static String asCanonicalName(org.objectweb.asm.Type t)

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.